import { r as registerInstance, h, c as Host } from './index-38ad4957.js';

const RaisinsPlopTarget = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  async renderCell() {
    return h("span", null);
  }
  async renderLabel(idx) {
    return h("slot", { name: `column-${idx}` });
  }
  render() {
    return h(Host, null);
  }
};

export { RaisinsPlopTarget as raisins_plop_target };
